function [Vp] = eval_Vp(~,g,~,model,gauss)
% function [Vp] = eval_Vp(x,g,v,model,whichgrid)
% #codegen

if ~gauss
    Vp = model.geom.LamG*g(model.geom.ind_Vp,:);
else
    Vp = model.geom.LamGgauss*g(model.geom.ind_Vp,:);
end


return